# List Available Comparators

List all available comparators for identity resolution.

Endpoint: GET /entityresolution/comparators
Version: 2
Security: apiKey

## Security:

  - `apiKey` (unknown)
    apiKey in header X-API-KEY

## Response 200:

  - `200` (unknown)
    Successful operation

## Response 200 fields (application/json):

  - `comparators` (array)
    List of comparators.

  - `comparators.name` (string)
    Name of the comparator
    Example: QGram Comparator

  - `comparators.technicalKey` (string)
    Technical key of the comparator.
    Example: QGramComparator

  - `comparators.parameters` (array)
    Configuration for the cleaner.

  - `comparators.parameters.name` (string)
    Name of the comparator.
    Example: formula

  - `comparators.parameters.description` (string)
    Description of the comparator.
    Example: A formula to use to compute the actual similarity

  - `status` (object)
    Details about status or error of a service

  - `status.code` (integer, required)
    RFC 7231 status code for this error.
    Example: 200

  - `status.technicalKey` (string, required)
    Technical key describing the status or error
    Example: OK

  - `status.details` (array, required)

  - `status.details.id` (integer, required)
    9-digit code which is uniquely identifying a message
    Example: 200000004

  - `status.details.message` (string, required)
    Human-readable message which may also be presented in user interface.
    Example: The job came to an end and finished successfully.

  - `status.details.technicalKey` (string)
    Technical key to uniquely identify a message.
    Example: JOB_FINISHED

  - `status.details.jsonPath` (string)
    JSONPath as specified by the IETF standard
    Example: $.businessPartner.names[0].value

  - `status.details.jsonRecord` (string)
    Object provided in plain JSON format.
    Example: { "key" : "value"}

  - `status.path` (string)
    Requested path which caused this error.
    Example: /v2/businesspartners/lookup

  - `status.timestamp` (string)
    ISO 8601 representation of the timestamp.
    Example: 2026-10-22T00:37:32Z

## Response 400:

  - `400` (unknown)
    Invalid request parameters

## Response 400 fields (application/json):

  - `status` (object)
    Details about status or error of a service

  - `status.code` (integer, required)
    RFC 7231 status code for this error.
    Example: 200

  - `status.technicalKey` (string, required)
    Technical key describing the status or error
    Example: OK

  - `status.details` (array, required)

  - `status.details.id` (integer, required)
    9-digit code which is uniquely identifying a message
    Example: 200000004

  - `status.details.message` (string, required)
    Human-readable message which may also be presented in user interface.
    Example: The job came to an end and finished successfully.

  - `status.details.technicalKey` (string)
    Technical key to uniquely identify a message.
    Example: JOB_FINISHED

  - `status.details.jsonPath` (string)
    JSONPath as specified by the IETF standard
    Example: $.businessPartner.names[0].value

  - `status.details.jsonRecord` (string)
    Object provided in plain JSON format.
    Example: { "key" : "value"}

  - `status.path` (string)
    Requested path which caused this error.
    Example: /v2/businesspartners/lookup

  - `status.timestamp` (string)
    ISO 8601 representation of the timestamp.
    Example: 2026-10-22T00:37:32Z

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (application/json):

  - `status` (object)
    Details about status or error of a service

  - `status.code` (integer, required)
    RFC 7231 status code for this error.
    Example: 200

  - `status.technicalKey` (string, required)
    Technical key describing the status or error
    Example: OK

  - `status.details` (array, required)

  - `status.details.id` (integer, required)
    9-digit code which is uniquely identifying a message
    Example: 200000004

  - `status.details.message` (string, required)
    Human-readable message which may also be presented in user interface.
    Example: The job came to an end and finished successfully.

  - `status.details.technicalKey` (string)
    Technical key to uniquely identify a message.
    Example: JOB_FINISHED

  - `status.details.jsonPath` (string)
    JSONPath as specified by the IETF standard
    Example: $.businessPartner.names[0].value

  - `status.details.jsonRecord` (string)
    Object provided in plain JSON format.
    Example: { "key" : "value"}

  - `status.path` (string)
    Requested path which caused this error.
    Example: /v2/businesspartners/lookup

  - `status.timestamp` (string)
    ISO 8601 representation of the timestamp.
    Example: 2026-10-22T00:37:32Z

## Response 403:

  - `403` (unknown)
    Forbidden

## Response 403 fields (application/json):

  - `status` (object)
    Details about status or error of a service

  - `status.code` (integer, required)
    RFC 7231 status code for this error.
    Example: 200

  - `status.technicalKey` (string, required)
    Technical key describing the status or error
    Example: OK

  - `status.details` (array, required)

  - `status.details.id` (integer, required)
    9-digit code which is uniquely identifying a message
    Example: 200000004

  - `status.details.message` (string, required)
    Human-readable message which may also be presented in user interface.
    Example: The job came to an end and finished successfully.

  - `status.details.technicalKey` (string)
    Technical key to uniquely identify a message.
    Example: JOB_FINISHED

  - `status.details.jsonPath` (string)
    JSONPath as specified by the IETF standard
    Example: $.businessPartner.names[0].value

  - `status.details.jsonRecord` (string)
    Object provided in plain JSON format.
    Example: { "key" : "value"}

  - `status.path` (string)
    Requested path which caused this error.
    Example: /v2/businesspartners/lookup

  - `status.timestamp` (string)
    ISO 8601 representation of the timestamp.
    Example: 2026-10-22T00:37:32Z

## Response 500:

  - `500` (unknown)
    Internal server error

## Response 500 fields (application/json):

  - `status` (object)
    Details about status or error of a service

  - `status.code` (integer, required)
    RFC 7231 status code for this error.
    Example: 200

  - `status.technicalKey` (string, required)
    Technical key describing the status or error
    Example: OK

  - `status.details` (array, required)

  - `status.details.id` (integer, required)
    9-digit code which is uniquely identifying a message
    Example: 200000004

  - `status.details.message` (string, required)
    Human-readable message which may also be presented in user interface.
    Example: The job came to an end and finished successfully.

  - `status.details.technicalKey` (string)
    Technical key to uniquely identify a message.
    Example: JOB_FINISHED

  - `status.details.jsonPath` (string)
    JSONPath as specified by the IETF standard
    Example: $.businessPartner.names[0].value

  - `status.details.jsonRecord` (string)
    Object provided in plain JSON format.
    Example: { "key" : "value"}

  - `status.path` (string)
    Requested path which caused this error.
    Example: /v2/businesspartners/lookup

  - `status.timestamp` (string)
    ISO 8601 representation of the timestamp.
    Example: 2026-10-22T00:37:32Z

